package com.rc.httpcore.bean;


import java.io.Serializable;

public class HxpChemicalVo implements Serializable {

    // ("化学平id")
    private long chemicalId;
    // ("化学品类别（参考字典表）")
    private String chemicalCategory;
    // ("化学品级别：1是管控，2是非管控")
    private int chemicalLevel;
    // ("创建时间")
    private String createTime;
    // ("化学品名称")
    private String chemicalName;
    // ("化学品类别")
    private String chemicalCategoryName;
    // ("化学品级别：1是管控，2是非管控")
    private String chemicalLevelName;
    // ("cas编号")
    private String casNum;
    // ("纯度")
    private String chemicalPurity;
    // ("密度")
    private double chemicalDensity;
    // ("化学品别名")
    private String anotherName;
    // ("存放规定单位")
    private String depositUnit;
    // ("规格值")
    private double specNum;
    // ("规格单位")
    private String specUnit;
    // ("包装值")
    private double packNum;
    // ("包装单位")
    private String packUnit;
    // 厂家
    private String factory;
    // 净含量
    private double netWt;
    // 重量
    private String weight;

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public double getNetWt() {
        return netWt;
    }

    public void setNetWt(double netWt) {
        this.netWt = netWt;
    }

    public long getChemicalId() {
        return chemicalId;
    }

    public void setChemicalId(long chemicalId) {
        this.chemicalId = chemicalId;
    }

    public String getChemicalCategory() {
        return chemicalCategory;
    }

    public void setChemicalCategory(String chemicalCategory) {
        this.chemicalCategory = chemicalCategory;
    }

    public int getChemicalLevel() {
        return chemicalLevel;
    }

    public void setChemicalLevel(int chemicalLevel) {
        this.chemicalLevel = chemicalLevel;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getChemicalCategoryName() {
        return chemicalCategoryName;
    }

    public void setChemicalCategoryName(String chemicalCategoryName) {
        this.chemicalCategoryName = chemicalCategoryName;
    }

    public String getChemicalLevelName() {
        return chemicalLevelName;
    }

    public void setChemicalLevelName(String chemicalLevelName) {
        this.chemicalLevelName = chemicalLevelName;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }

    public String getChemicalPurity() {
        return chemicalPurity;
    }

    public void setChemicalPurity(String chemicalPurity) {
        this.chemicalPurity = chemicalPurity;
    }

    public double getChemicalDensity() {
        return chemicalDensity;
    }

    public void setChemicalDensity(double chemicalDensity) {
        this.chemicalDensity = chemicalDensity;
    }

    public String getAnotherName() {
        return anotherName;
    }

    public void setAnotherName(String anotherName) {
        this.anotherName = anotherName;
    }

    public String getDepositUnit() {
        return depositUnit;
    }

    public void setDepositUnit(String depositUnit) {
        this.depositUnit = depositUnit;
    }

    public double getSpecNum() {
        return specNum;
    }

    public void setSpecNum(double specNum) {
        this.specNum = specNum;
    }

    public String getSpecUnit() {
        return specUnit;
    }

    public void setSpecUnit(String specUnit) {
        this.specUnit = specUnit;
    }

    public double getPackNum() {
        return packNum;
    }

    public void setPackNum(double packNum) {
        this.packNum = packNum;
    }

    public String getPackUnit() {
        return packUnit;
    }

    public void setPackUnit(String packUnit) {
        this.packUnit = packUnit;
    }

    public String getFactory() {
        return factory;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }
}
